%define orig_name libopensync-plugin-sunbird
Name: libopensync0-plugin-sunbird
Version: 0.22
Release: alt2

Summary: Mozilla Calendar / Sunbird Synchronization Plug-In for OpenSync
License: LGPL v2 or later
Group: System/Libraries
URL: http://www.opensync.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %orig_name-%version.tar.bz2
Patch0: libopensync-plugin-sunbird-0.22.1-warning.patch
Patch1: libopensync-plugin-sunbird-readonly-fix.diff

Requires: libopensync0 = %version
# Conflicts: %orig_name

# Automatically added by buildreq on Fri Oct 17 2008
BuildRequires: gcc-c++ gcc-fortran glib2-devel glibc-devel-static libcom_err-devel libneon-devel libopensync0-devel libxml2-devel

%description
This plug-in allows applications using OpenSync to synchronize to and
from Mozilla Calendar / Sunbird.


%prep
%setup -q -n %orig_name-%version
%patch0 -p1
%patch1 -p0

%build
%configure
%make

%install
%make_install install DESTDIR=%buildroot
rm $RPM_BUILD_ROOT/%{_libdir}/opensync/plugins/sunbird_sync.la

%files
%{_libdir}/opensync/plugins/sunbird_sync.so
%{_datadir}/opensync/defaults/sunbird-sync
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README

%changelog
* Fri Oct 17 2008 Andriy Stepanov <stanv@altlinux.ru> 0.22-alt2
- Stable version.
